lp:ubuntu/lucid-proposed/ca-certificates

Created by Ubuntu Package Importer on 2014-03-05 and last modified on 2014-03-05
Get this branch:
bzr branch lp:ubuntu/lucid-proposed/ca-certificates
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

13. By Marc Deslauriers on 2014-02-07

* Update ca-certificates database to 20130906 (LP: #1257265, LP: #1271357):
  - backport changes from the Ubuntu 14.04 20130906ubuntu1 package
  - No longer ship cacert.org certificates (LP: #1258286)
  - No longer ship obsolete debconf.org certificates
  - No longer ship expired brasil.gov.br certificates
  - No longer ship expired signet.pl certificates
  - No longer ship gouv.fr certificates, now part of mozilla bundle
  - No longer ship telesec.de certificates, now part of mozilla bundle
  - mozilla/certdata2pem.py: Work around openssl issue by shipping both
    versions of the same signed roots. Previously, the script would
    simply overwrite the first one found in the certdata.txt with the
    later one since they both have the same CKA_LABEL, resulting in
    identical filenames. (LP: #1014640, LP: #1031333)

12. By Micah Gersten on 2011-09-01

* SECURITY UPDATE: Blacklist "DigiNotar Root CA" due to fraudulent
  certificate issuance (LP: #837557)
  - update mozilla/blacklist.txt

11. By Philipp Kern on 2009-08-14

Call Debconf and its db_purge as early as possible in postrm.
(Closes: #541275)

10. By Philipp Kern on 2009-07-09

Fix purge by checking for `/etc/ssl/certs' first. (Closes: #536331)

9. By Philipp Kern on 2008-11-27

Remove /etc/ssl{,/certs} in postrm to please piuparts. (Closes:
#454334)

8. By Philipp Kern on 2008-08-09

* New cacert.org.pem joining both CACert Class 1 and Class 3 certificates.
  This file can be used for proper certificate chaining if CACert
  server certificates are used. The old class3.pem and root.pem
  certificates are deprecated. This new file could safely serve as
  a replacement for both. (Closes: #494343)
* This also reintroduces the old name for the CACert certificate,
  thus closing a long-standing bug about its rename to root.crt.
  (Closes: #413766)

7. By Matthias Klose on 2008-06-03

* Merge with Debian; remaining changes:
  - debian/templates: Do not mark the choices as translatable.

6. By James Westby on 2008-04-08

Prevent the debconf question being forced twice for users we
suspect to be affected. Also clean up the debconf value we
use to do this in the postinst as it will not be needed post-hardy.

5. By James Westby on 2008-04-01

* Improve on the last fix by trying to fix up the problem for
  those that were affected. (LP: #153625)
  - If upgrading from a broken version and the file is empty,
    then
    - if the question was never seen then act like a default
      install
    - if the question was seen and we are in pt_BR locale then
      ask the question again defaulting to selected for all
      certificates.
    - else do nothing.
  - This covers the common cases well, but may require people
    who changed their locales to either answer a question they
    already answered, or to run dpkg-reconfigure manually.
  - All of this code should be dropped after hardy, as all upgrades
    must go through hardy, and everyone will have a fixed version
    then.

4. By Steve Langasek on 2008-03-29

[ James Westby ]
* Fix installation on pt_BR locales. This was caused by the .templates
  choices strings being marked for translation, and then a translator
  changing the substitution variable name. Thanks to Andreas Hasenack
  for spotting the problem, and Daniel Hahler for the fix. (LP: #153625)
  When merging this package check if the Debian upload fixed debian
  bug 472507 as that is where the issue is reported.

[ Steve Langasek ]
* Modify Maintainer value to match the DebianMaintainerField
  specification.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/trusty/ca-certificates
This branch contains Public information 
Everyone can see this information.

Subscribers